Bug #74063 Add tool version to backup_history
Submitted: 25 Sep 2014 8:34 Modified: 27 Jan 2015 20:41
Reporter: Daniël van Eeden (OCA) Email Updates:
Status: Verified Impact on me:
None 
Category:MySQL Enterprise Backup Severity:S2 (Serious)
Version:3.11.0 OS:Any
Assigned to: CPU Architecture:Any
Tags: compatibility, versioning
Triage: Needs Triage: D1 (Critical)

[25 Sep 2014 8:34] Daniël van Eeden
Description:
The mysqlbackup version is not recorded in mysql.backup_history.

This information could be very helpful for restores (and restore tools) for restoring old backups
http://dev.mysql.com/doc/mysql-enterprise-backup/3.11/en/meb-meb-compatibility.html 

This can also be used for MEM alerts for old/broken/vulnerable/incompatible versions.

The version is written to meta/backup_create.xml but there might not be direct access to that file from the database. The file/backup might also be moved to tape.

How to repeat:
Create a backup and try to find the MEB version which was used by querying the repository.
[24 Jan 2015 9:52] Daniël van Eeden
Increase severity because of Bug #75444
[24 Jan 2015 9:53] Daniël van Eeden
If this was possible I could find out which version of MEB I would need as 3.11 only supports 3.9+

Now I first need to fetch the backup from Tape/S3/shoebox before I can figure out which software I need to restore it.
[27 Jan 2015 20:41] Sveta Smirnova
Thank you for the reasonable feature request.